Has not New Relic add-on supported Gentoo 12.11 stack yet?

I tried Ruby 2.0 on EYC and was generally successful. However, New Relic add-on was not able to be used.

When the New Relic add-on was activated and the Apply button was clicked, the following errors were outputted to base log:

/usr/local/ey_resin/ruby/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.
garbage ( ~amd64) at end of version '3.6.2 ~amd64'
accepting version anyway

================================================================================
Error executing action create on resource 'template[/etc/monit.d/nrsysmond.monitrc]'
================================================================================

Chef::Exceptions::FileNotFound


Cookbook 'newrelic' (0.0.0) does not contain a file at any of these locations:
templates/gentoo-2.1/nrsysmond.monitrc.erb
templates/gentoo/nrsysmond.monitrc.erb
templates/default/nrsysmond.monitrc.erb

This cookbook _does_ contain: ['/etc/chef/recipes/cookbooks/newrelic/templates/default/nrsysmond.cfg.erb','/etc/chef/recipes/cookbooks/newrelic/templates/default/newrelic.yml.erb']

Resource Declaration:


# In /etc/chef/recipes/cookbooks/newrelic/definitions/newrelic.rb

42: template "/etc/monit.d/nrsysmond.monitrc" do
43: owner "root"
44: group "root"
45: mode 0644
46: backup 0
47: source "nrsysmond.monitrc.erb"
48: variables(:hostname => params[:hostname])
49: end
50:

Compiled Resource:


# Declared in /etc/chef/recipes/cookbooks/newrelic/definitions/newrelic.rb:42:in `block in from_file'

template("/etc/monit.d/nrsysmond.monitrc") do
params {:key=>"dc59e0ec39a5e18b484b4c60fe11769a88123665", :symlink=>false, :write_newrelic_yaml=>false, :hostname=>nil, :name=>"idobata"}
provider Chef::Provider::Template
action "create"
retries 0
retry_delay 2
path "/etc/monit.d/nrsysmond.monitrc"
backup 0
source "nrsysmond.monitrc.erb"
variables {:hostname=>nil}
cookbook_name :newrelic
recipe_name "default"
owner "root"
group "root"
mode 420
end

 

Is there solution or workaround?

 

Enabled Early Access Features:

  • Gentoo 2012
  • Ruby 2.0
  • Stack select

Stack: stable-v4

0
3 comments
Avatar
Keri Meredith

Hi Keita, thanks for this important feedback. Of course we want all these Early Access features to work well together.

I've logged a ticket so our engineers can take a look. We'll get back to you soon. 

Thanks again! kjm

 

 

[Triage-6269]

0
Comment actions Permalink
Avatar
Dennis Bell

This issue has been fixed in the code base, and is currently in QA validation phase.  It is expected to be released on Wednesday, May 29th.  Thanks for bringing this to our attention.

0
Comment actions Permalink
Avatar
Keita Urashima (ESM)

Wow, thank you for your quick and thorough response! I look forward to it.

0
Comment actions Permalink

Please sign in to leave a comment.